## cernlib 20061220%2Bdfsg3

=== debian/changelog ===
cernlib (20061220+dfsg3-4.3ubuntu1) artful; urgency=medium

  * Work around build failure using gfortran-7. See PR 81723.
    Addresses: #853345.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 15:29:35 -0400

cernlib (20061220+dfsg3-4.3build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:17:27 +0000

cernlib (20061220+dfsg3-4.3) unstable; urgency=medium

  * Non-maintainer upload
  * Build ypatchy with -no-pie (closes: #837657)

 -- Gilles Filippini <pini@debian.org>  Fri, 06 Jan 2017 11:22:45 +0100

cernlib (20061220+dfsg3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Suport arm64 (Closes: #766482)

 -- Wookey <wookey@debian.org>  Fri, 12 Jun 2015 18:50:03 +0000

cernlib (20061220+dfsg3-4.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Mauricio Faria de Oliveira ]
  * Fix 'debian/control.new' for GNU make 3.82+ (Closes: #720689)
    Thanks Michael Tautschnig. New versions of GNU make don't 'sort' the output
    of 'wildcard' anymore. This is reported in the following GNU make announce:
    https://lists.gnu.org/archive/html/info-gnu/2010-07/msg00023.html

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 28 Aug 2014 19:07:13 +0200

cernlib (20061220+dfsg3-4) unstable; urgency=low

  * cernlib-base-dev: depends on dpkg-dev to fix Multiarch support.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 24 Aug 2013 17:11:08 +0800

cernlib (20061220+dfsg3-3) unstable; urgency=low

  * Support multiarch.
  * Set source format to 3.0 (quilt).
  * Temporarily disable test-suite. (Closes: #701254, #713535)
  * {cernlib-base-dev,libmathlib2,pawserv}: set priority to optional.
  * Apply patchset manually rather than using obsolete dpatch.
  * debian/control:
    - bump Standards-Version to 3.9.4.
    - remove obsolete dpatch from build-dep.
    - remove obsolete DM-Upload-Allowed field.
    - transition from lesstif2 to motif, we will rename packages in next
      upload. (Closes: #717639)
    - canonical VCS-* fields.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 23 Aug 2013 20:34:13 +0800

cernlib (20061220+dfsg3-2) unstable; urgency=low

  * Add patch 138: Remove invalid declaration of the REPEAT function.
    (Closes: #636565).
  * Add Danish translation of the debconf templates.
    Thanks to Joe Dalton <joedalton2@yahoo.dk>. (Closes: #621357)
  * debian/debhelper: rename to debian/dh to make lintian happy.
  * Bump Standards-Version to 3.9.2. No change needed.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 04 Aug 2011 18:21:35 +0800

cernlib (20061220+dfsg3-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Switch to dpkg-source 3.0 (quilt) format

  * New maintainer. Thanks Kevin B. McCarty for contributing to the
    HEP free software community over the years. (Closes: #619388)
  * Bump Standards-Version to 3.9.1.
    - debian/copyright: BSD license is included directly instead of
      referenced from `/usr/share/common-licenses/BSD'.
    - change upstream version to 20061220, hence repackage orig.tar.gz.
    - debian/control.d/libpacklib-lesstif1-dev.control: change conflicts
      field to breaks.
    - debian/control.d/libmathlib2-dev.control: declare libmathlib1-dev
      in breaks field.
    - debian/control.d/cernlib-base-dev.control: declare libcojets1-dev,
      libgeant1-dev, libherwig59-dev, libisajet758-dev, libkuipx11-1-dev,
      libmathlib1-dev, libpaw1-dev, libpdflib804-dev and libphtools1-dev
      in breaks field.
  * debian/add-ons/cernlib.mk: fix a potential security issue caused by
    unset or empty LD_LIBRARY_PATH.
  * debian/debhelper/pawserv.prerm: thanks Ben Hutchings
    <ben@decadent.org.uk> (Closes: #592299)
  * Add -DCERNLIB_QGETCWD preprocessor flag to call getcwd instead of
    insecure getwd.
  * Add typo fixing patches 131-137.
  * Update patch 119:
    - Truncate overlong initialization string.
    - Replace obsolete sys_errlist with strerror.
    - Include stdlib.h to declare 'free' function.
  * debian/source/format: set source format to 1.0.
  * Set priority field to extra in control files:
    - debian/control.d/cernlib-base-dev.control
    - debian/control.d/libmathlib2-dev.control
  * Set priority field to optional in control files:
    - debian/control.d/cernlib-extras.control
    - debian/control.d/zftp.control
  * Remove duplicated section field from control files:
    - debian/control.d/cernlib{,-core,-extras}.control
    - debian/control.d/kxterm.control
  * debian/control.d/nypatchy.control: remove duplicated priority field.
  * debian/control.d/0base.control: add Vcs-{Git,Browser} fields.
  * Add lintian overrides:
    - debian/source/lintian-overrides: override
      debian-watch-file-is-missing, since the upstream is dead.
    - debian/lintian-overrides/cernlib: override
      description-starts-with-package-name.
    - debian/lintian-overrides/{libgraflib1,libgrafx11-1,libkernlib1,
      libmathlib2,libpacklib1,libpacklib-lesstif1}-gfortran: override 
      no-symbols-control-file.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 28 Mar 2011 14:50:26 +0800

cernlib (2006.dfsg.2-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix broken patchsets causing FTBFS, patch provided by Davide Mancusi,
    thanks! (Closes: #560561).

 -- Nico Golde <nion@debian.org>  Fri, 30 Jul 2010 13:24:00 +0200

cernlib (2006.dfsg.2-14) unstable; urgency=low

  * Acknowledge NMUs (closes: #501263, #501525, #491530).
    Thanks Christian Perrier.
  * Bump Standards-Version to 3.8.1.
    - Support DEB_BUILD_OPTIONS=nocheck in debian/add-ons/cernlib.mk.
    - Add ${misc:Depends} to debian/control Depends for all binary packages.
  * Other minor changes to debian/add-ons/cernlib.mk necessary for building
    on non-Debian systems; thanks Marco Tangaro for finding them.
  * New (sort of) patch 113: Resurrect a small part of this patch to fix a
    minor PostScript issue.  Thanks Angelo Graziosi for the bug report and

