## cernlib 20061220+dfsg3

=== debian/control ===
Source: cernlib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
Standards-Version: 3.9.4
Priority: optional
Section: science
Homepage: http://cernlib.web.cern.ch/cernlib/
Build-Depends: po-debconf, dpkg-dev (>= 1.13.19), patch, mawk | gawk, xutils-dev, debhelper (>= 5.0.0), gfortran (>= 4:4.3), cfortran (>= 4.4-10), x11proto-core-dev, libxt-dev, libx11-dev, libmotif-dev, libblas-dev, liblapack-dev
Vcs-Git: git://anonscm.debian.org/debian-science/packages/cernlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/cernlib.git

Package: cernlib-base-dev
Architecture: all
Section: devel
Depends: dpkg-dev, cernlib-base (= ${source:Version}), ${misc:Depends}
Replaces: cernlib-base (<< 2005.dfsg-6), libcojets1-dev (<= 2004.11.04.dfsg-0sarge1), libgeant1-dev (<= 2004.11.04.dfsg-0sarge1), libherwig59-dev (<= 2004.11.04.dfsg-0sarge1), libisajet758-dev (<= 2004.11.04.dfsg-0sarge1), libkuipx11-1-dev (<= 2004.11.04.dfsg-0sarge1), libmathlib1-dev (<= 2004.11.04.dfsg-0sarge1), libpaw1-dev (<= 2004.11.04.dfsg-0sarge1), libpdflib804-dev (<= 2004.11.04.dfsg-0sarge1), libphtools1-dev (<= 2004.11.04.dfsg-0sarge1)
Breaks: libcojets1-dev (<= 2004.11.04.dfsg-0sarge1), libgeant1-dev (<= 2004.11.04.dfsg-0sarge1), libherwig59-dev (<= 2004.11.04.dfsg-0sarge1), libisajet758-dev (<= 2004.11.04.dfsg-0sarge1), libkuipx11-1-dev (<= 2004.11.04.dfsg-0sarge1), libmathlib1-dev (<= 2004.11.04.dfsg-0sarge1), libpaw1-dev (<= 2004.11.04.dfsg-0sarge1), libpdflib804-dev (<= 2004.11.04.dfsg-0sarge1), libphtools1-dev (<= 2004.11.04.dfsg-0sarge1)
Conflicts: blas2-dev, lapack2-dev
Description: CERNLIB data analysis suite - dependencies checking script
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This package includes the "cernlib" script that lists the command-line options
 needed for linking against CERNLIB libraries. The script has been rewritten
 from the upstream version to calculate dependencies recursively. Also
 included are a contributed set of Autoconf macros to test for CERNLIB
 libraries, and a set of Imake macros to allow CERNLIB modules to be built
 out-of-tree.

Package: cernlib-base
Architecture: all
Section: devel
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: vim-addon-manager
Description: CERNLIB data analysis suite - common files
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This package includes miscellaneous architecture-independent files useful
 for CERNLIB libraries and programs, including an example script that can
 generate a skeleton CERNLIB directory structure and Vim syntax highlighting
 macros for KUIPC CDF files and PAW "kumac" macro files.

Package: cernlib-core-dev
Architecture: all
Section: devel
Depends: cernlib-base (= ${source:Version}), cernlib-base-dev, libgraflib1-dev, libgrafx11-1-dev, libkernlib1-dev, libpacklib-lesstif1-dev, libmathlib2-dev, libpacklib1-dev, libpawlib2-dev, libpawlib-lesstif3-dev, kuipc, dzedit, nypatchy, ${misc:Depends}
Description: CERNLIB data analysis suite - core development files
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This metapackage provides the header files and static libraries needed
 by developers using the CERN libraries and not specifically interested in high
 energy physics. It also provides the CERNLIB development tools: DZedit,
 KUIPC, and the Nypatchy family of programs. CERNLIB analysis programs may be
 obtained by installing the cernlib-core metapackage.

Package: cernlib-core
Architecture: all
Depends: cernlib-base (= ${source:Version}), kxterm, paw++, paw, paw-common, paw-demos, ${misc:Depends}
Description: CERNLIB data analysis suite - main libraries and programs
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This metapackage provides the libraries and analysis tools (e.g. PAW) likely
 to be wanted by most users of the CERN libraries who are not interested
 specifically in high energy physics. It does not provide development
 libraries or tools; those may be obtained by installing the cernlib-core-dev
 metapackage or individual lib*-dev packages.

Package: cernlib-extras
Architecture: all
Depends: cernlib-base (= ${source:Version}), pawserv, zftp, ${misc:Depends}
Description: CERNLIB data analysis suite - extra programs
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This metapackage provides a few additional CERNLIB programs not included
 in any other CERNLIB package. Very few people are likely to be
 interested in them; currently they include zftp, pawserv and zserv.
 The latter two programs run as daemons through inetd and may
 raise concerns about the system's security.
 .
 Installing this package along with the 'cernlib' metapackage will supply
 a complete set of all CERNLIB programs and libraries, except for those
 not included in Debian due to licensing reasons.

Package: cernlib
Architecture: all
Depends: cernlib-base (= ${source:Version}), cernlib-core, cernlib-core-dev, cernlib-montecarlo, geant321-doc, geant321, ${misc:Depends}
Description: CERNLIB data analysis suite - general use metapackage
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This metapackage provides almost all of the programs and libraries contained
 in CERNLIB. Most people will likely want only a subset of these. A few
 extra CERNLIB programs, not of interest to many people, may be obtained via
 the cernlib-extras metapackage.

Package: dzedit
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cernlib-base-dev, libpacklib1-dev
Description: CERNLIB data analysis suite - ZEBRA documentation editor
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 DZedit is an interactive interface to the DZDOC (ZEBRA documentation) system
 developed at CERN. ZEBRA, part of the Packlib library, allows the creation
 of complex data structures in the FORTRAN 77 language; the DZDOC system
 helps to generate and maintain documentation for ZEBRA data structures.

Package: kuipc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, cernlib-base, ${misc:Depends}
Recommends: cernlib-base-dev, libpacklib1-dev
Suggests: libpacklib-lesstif1-dev
Description: CERNLIB data analysis suite - KUIP compiler
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 KUIPC, the Kit for a User Interface Package Compiler, is a tool to simplify
 the writing of a program's user interface code. It takes
 a Command Definition File (CDF) as input, which describes the
 commands to be understood by the program, and outputs C or FORTRAN code that
 makes the appropriate function calls to set up the user interface. This
 code can then be compiled and linked with the rest of the program. Since
 the generated code uses KUIP routines, the program must also be linked
 against the Packlib library that contains them.
 .
 KUIPC is no longer actively developed, so aside from its use in the build
 process of CERNLIB, it is of mainly historical interest.

Package: kxterm
Architecture: any
Depends: ${shlibs:Depends}, cernlib-base, ${misc:Depends}
Description: CERNLIB data analysis suite - KUIP terminal emulator
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 KXterm is a terminal emulator which combines the best features from
 the (now defunct) Apollo DM pads (like: input and transcript
 pads, automatic file backup of transcript pad, string search in pads,
 etc.) and the Korn shell emacs-style command line editing and command
 line recall mechanism. It can support the command-line interface
 of various CERNLIB applications.

Package: libgraflib1-dev
Architecture: any
Section: libdevel
Depends: libgraflib1-gfortran (= ${binary:Version}), libgrafx11-1-dev (= ${binary:Version}), ${misc:Depends}
Description: CERNLIB data analysis suite - graphical library (development files)
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 The graflib library includes the HPLOT and DZDOC systems. HPLOT is a
 graphing facility intended to produce drawings and slides of histograms
 (and other data) of a quality suitable to talks and publications. DZDOC
 provides a method of viewing CERNLIB's ZEBRA data structures.
 .
 This package includes a static version of graflib, as well as C and FORTRAN
 header files.

Package: libgraflib1-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CERNLIB data analysis suite - graphical library
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 The graflib library includes the HPLOT and DZDOC systems. HPLOT is a
 graphing facility intended to produce drawings and slides of histograms
 (and other data) of a quality suitable to talks and publications. DZDOC
 provides a method of viewing CERNLIB's ZEBRA data structures.
 .
 In order to compile and link programs against this library,
 you must also install the libgraflib1-dev package.

Package: libgrafx11-1-dev
Architecture: any
Section: libdevel
Depends: libgrafx11-1-gfortran (= ${binary:Version}), libpacklib1-dev (= ${binary:Version}), libx11-dev (>= 4.3.0-3), ${misc:Depends}
Description: CERNLIB data analysis suite - interface to X11 and PostScript (development)
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This package includes a static version of libgrafX11, also known as HIGZ
 (High-level Interface to Graphics and ZEBRA), an interface to the X Window
 System. In addition to basic drawing functions, HIGZ includes a PostScript
 interface. Also included are C and FORTRAN header files.

Package: libgrafx11-1-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CERNLIB data analysis suite - interface to X11 and PostScript
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This package includes libgrafX11, also known as HIGZ (High-level Interface
 to Graphics and ZEBRA), an interface to the X Window System. In addition
 to basic drawing functions, HIGZ includes a PostScript interface.
 .
 Note that in order to compile and link programs against this library,
 you must also install the libgrafx11-1-dev package.

Package: libkernlib1-dev
Architecture: any
Section: libdevel
